Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class DefaultHighlighterFactory.PsCurveHighlighter

    java.lang.Object
      jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
          jpicedt.graphic.view.DefaultHighlighterFactory.PsCurveHighlighter

All Implemented Interfaces:
  Highlighter

Enclosing class:
  DefaultHighlighterFactory

public class DefaultHighlighterFactory.PsCurveHighlighter
extends DefaultHighlighterFactory.DefaultHighlighter

a Highlighter for PsCurve. So far, it is based on AbstractCurveHighlighter, except where computing tangents is concerned: we draw 2 tangents at the endpoints of an open pscurve, no tangent otherwise.

Field Summary

Fields inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`bounds, element, pointIndexIterator, ptBuffer, rectBuffer, shape`

Constructor Summary
`DefaultHighlighterFactory.PsCurveHighlighter(PicPsCurve curve)` construct a new Highlighter for the given pscurve

Method Summary
`protected void` | `syncShape(double scale)` Synchronizes the highlighter's tangents with the model.

Methods inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`changedUpdate, getBounds, getControlPointsIterator, getElement, getHighlighterFactory, hitTest, paint, syncBounds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHighlighterFactory.PsCurveHighlighter

    public DefaultHighlighterFactory.PsCurveHighlighter(PicPsCurve curve)

  construct a new Highlighter for the given pscurve

Method Detail

### syncShape

    protected void syncShape(double scale)

  Synchronizes the highlighter's tangents with the model.

  Overrides:
    `syncShape` in class `DefaultHighlighterFactory.DefaultHighlighter`
  Parameters:
    `scale` - The current scale factor from-model-to-screen for the Graphics2D context ; this may be used to scale down line thickess, etc... so that e.g. barbells appear with the same size on the screen whatever the scale factor being set to the graphic context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org